﻿/* Mobile view */
@media only screen and (max-width: 768px) {
    html > body {
        background-image: none;
        background-color: var(--white-color);
    }
    div.body-content {
        padding: 0 16px;
        box-shadow: none;
    }
    div.nav-page {
        margin-bottom: 32px;
    }
    nav.navbar {
        height: 60px;
        padding-left: 16px;
    }
    a.logo > img {
        width: 48px;
    }
    a.logout-link {
        height: 24px;
    }
    div div.cvco-app button.cvco-window-open-button.cvco-window-open-button {
        right: 8px;
        bottom: 8px;
    }
    h2.primary-text {
        font: var(--mobile-header-font);
    }
}

/* Global styles */
html {
    height: 100%; /* fallback for IE and older browsers */
    height: 100vh;
}
body {
    height: auto; /* required to allow content to expand vertically without overflow */
    width: auto;
    min-height: 100%; /* fallback for IE and older browsers */
    min-height: 100vh;
    margin: 0;
    padding: 0;
    background: var(--background-color);
}

/* Layout styles */
.body-content {
    max-width: 380px;
    background: var(--white-color) 0% 0% no-repeat padding-box;
    padding: 16px 16px 24px;
    box-shadow: 4px 4px 24px 0 rgba(0, 0, 0, 0.08);
}

/* Navbar styles */
.nav-page {
    position: relative;
    margin-bottom: 64px;
}
.navbar {
    background: var(--white-color);
    height: 80px;
    padding: 0 16px 0 24px;
    transition: margin .2s;
    -webkit-transition: margin .2s;
    box-shadow: 0 4px 8px 0 rgba(60, 60, 60, 0.05);
}
.navbar-items-container {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}
.logo > img {
    width: auto;
    transition: all .2s ease;
    -webkit-transition: all .2s ease;
}
.logout-link {
    font: var(--primary-font);
    color: var(--regular-color);
    letter-spacing: 0;
    transition: all .2s ease;
    -webkit-transition: all .2s ease;
    display: flex;
    column-gap: 8px;
    padding: 0;
    text-decoration: none;
    width: auto;
    position: relative;
}
.logout-link:hover {
    color: var(--regular-highlight-color);
    text-decoration: none;
}
.logout-link > span.logout-label {
    display: inline-flex;
    align-items: center;
}

/* Chat bot styles */
div.cvco-app button.cvco-window-open-button.cvco-window-open-button {
    right: 20px;
    bottom: 20px;
}

/* Text styles */
.primary-text {
    font: var(--header-font);
}

/* Change email styles */
.change-email-reminder {
    background-color: var(--notification-color);
    padding: 16px;
    box-shadow: 0 4px 8px 0 rgba(60, 60, 60, 0.05);
}
.change-email-reminder > span:first-child {
    display: block;
    font: var(--semibold-font);
    color: var(--regular-color);
    letter-spacing: 0;
}
.change-email-reminder > span:last-child {
    display: block;
    font: var(--regular-font);
    color: var(--secondary-text-color);
    letter-spacing: 0;
}
